Bug 1301167 - router_delete_namespaces and dhcp_delete_namespaces should be enabled by default
Summary: router_delete_namespaces and dhcp_delete_namespaces should be enabled by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: y3
: 7.0 (Kilo)
Assignee: Emilien Macchi
QA Contact: Alexander Stafeyev
URL:
Whiteboard:
Depends On:
Blocks: 1301169 1301170
TreeView+ depends on / blocked
 
Reported: 2016-01-22 18:45 UTC by Brent Eagles
Modified: 2017-09-11 17:12 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-heat-templates-0.8.6-113.el7ost
Doc Type: Bug Fix
Doc Text:
The 'router_delete_namespaces' (L3 agent) and 'dhcp_delete_namespaces' (DHCP agent) configuration settings defaulted to 'false' in the Red Hat OpenStack Platform 7 Puppet modules. This disabled cleanup for unused network namespaces, which was only required for older versions of Linux. This fix sets the defaults for these parameters to 'true' in the Puppet modules so Red Hat OpenStack Platform takes advantage of network namespace cleanup.
Clone Of:
: 1301169 1301170 (view as bug list)
Environment:
Last Closed: 2016-02-18 16:51:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 271569 None None None 2016-01-22 23:41:36 UTC
Red Hat Product Errata RHBA-2016:0264 normal SHIPPED_LIVE Red Hat Enterprise Linux OSP 7 director Bug Fix Advisory 2016-02-18 21:41:29 UTC

Description Brent Eagles 2016-01-22 18:45:22 UTC
Description of problem:

The 'router_delete_namespaces' (L3 agent) and 'dhcp_delete_namespaces' (DHCP agent) configuration settings default to false in the puppet modules for OSP-7 resulting in network namespaces not being deleted when no longer needed. Disabling automatic namespace cleanup was appropriate for older Linux distributions but is no longer required. OSP-d should set the values to true.

Comment 2 Emilien Macchi 2016-01-22 23:38:50 UTC
AFIK it's disabled in puppet-neutron because OpenStack Neutron upstream decided like this. We try to keep sync'ed with what upstream does and choose.

I'll work on it and set the values to True in TripleO.

Comment 4 Alexander Stafeyev 2016-02-11 14:26:59 UTC
http://pastebin.test.redhat.com/348065

[root@overcloud-controller-0 ~]# cat /etc/neutron/l3_agent.ini |grep router_delete_name
# router_delete_namespaces, which is false by default, can be set to True if
# router_delete_namespaces = False
router_delete_namespaces = True
[root@overcloud-controller-0 ~]# cat /etc/neutron/dhcp_agent.ini |grep dhcp_delete_name
# dhcp_delete_namespaces, which is false by default, can be set to True if
# dhcp_delete_namespaces = False
dhcp_delete_namespaces = True
[root@overcloud-controller-0 ~]#

Comment 6 errata-xmlrpc 2016-02-18 16:51:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0264.html


Note You need to log in before you can comment on or make changes to this bug.